You are here: Home » Topic » Help !!!! Lost Firefly on NSLU2 after update to 1489

Help !!!! Lost Firefly on NSLU2 after update to 1489

FireFly Media Server (formerly mt-daapd) Firefly Media Server Forums Firefly Media Server Setup Issues Help !!!! Lost Firefly on NSLU2 after update to 1489

Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #1139
    midi
    Participant

    I had the bad idea to update my perfect working NSLU2 (6.8 beta) with Firefly 1433 to Firefly 1489.

    I did it as described here

    http://wiki.fireflymediaserver.org/NSLU2_Installation

    (nightly alternative, because i use an Pinnacle SB).

    While telnetting i was asked for the conf file and i decided “no” (perhaps this was a mistake).

    Everything seems to be ok. But when i try to get on http://192….:3689 i can´t get a connection. I can connect to my NSLU2 with no problems.

    When i telnet “/opt/etc/init.d/S60mt-daapd” i get the answer “/opt/sbin/mt-daapd:error while loading shared libraries: libFLAC.so8: cannot open shared objekt file: NO such file or directory”.

    When i try to install a stable or nightly once again, i get the message “Package mt-daapd (svn-1498-1) installed in root is up to date. Nothing to be done”

    To more points : per telnet i got the connection to the NSLU with root/admin (not uNSLUng), perhaps i changed the password last time ; my librarie is on hdd/share/iTunes Music – installing 1433 it was not possible to use the configured file.

    I need a step by step instruction…thank´s a lot

    #9364
    midi
    Participant

    In the meantime i removed the mt-daapd an the conf file.

    Then i installed the nightly. Once again everything seems to be ok, but i can´t connect to FF.

    When i try “/opt/etc/mt-daapd/mt-daapd.conf” i get the message “Permission denied”

    When i try “/opt/etc/init.d/S60mt-daapd” i get once again “error while loading shared libraries: libFLAC.so.8…”

    #9365
    S80_UK
    Participant

    The problem looks likely the version of FLAC that you currently have.

    These threads help with this –

    http://forums.fireflymediaserver.org/viewtopic.php?t=5551

    and

    http://forums.fireflymediaserver.org/viewtopic.php?t=5602

    Basically you will need to run

    ipkg update
    ipkg upgrade flac

    Once that is updated your “/opt/etc/init.d/S60mt-daapd” should work I think.

    Good luck.

    #9366
    midi
    Participant

    Thanks a lot !

    It seems to work !

Viewing 4 posts - 1 through 4 (of 4 total)
  • The forum ‘Setup Issues’ is closed to new topics and replies.